package cn.hmsoft.hmplatform.project.service;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.hmsoft.frame.data.model.FrameOptr;
import cn.hmsoft.hmplatform.project.data.dao.PProjectDao;
import cn.hmsoft.hmplatform.project.data.model.PProject;

@Service
public class PProjectService {

	@Autowired
	private PProjectDao daoProject;

	public void addProject(PProject project, FrameOptr frameOptr) {
		this.daoProject.insert(project);
	}

	public void editProject(PProject project, FrameOptr frameOptr) {
		this.daoProject.update(project);
	}

	public void deleteProject(Integer project_id, FrameOptr frameOptr) {
		this.daoProject.delete(project_id);
	}
}
